# 
# info: (page_name -> (category_num, keyword list) list ) dict
# toc_1: (category_num, keyword) -> (page_name list) dict

info = {u'Damerau Levenshtein Distance': [(u'1', [u'UTILITIES'])],
 u'SparxDocTemplate': [(u'1',
                        [u'APPLICATIONS',
                         u'FILTER',
                         u'FUNDAMENTALS',
                         u'HISTOGRAMOPERATIONS',
                         u'INVERSION',
                         u'MORPHOLOGY',
                         u'SEGMENTATION',
                         u'STATISTICS',
                         u'TRANSFORMS',
                         u'UTILITIES']),
                       (u'2',
                        [u'ADAPTIVE', u'FOURIER', u'NONLINEAR', u'SPATIAL']),
                       (u'3', [u'OTHER'])],
 u'SymString': [(u'1', [u'UTILITIES']), (u'2', [u'SPATIAL'])],
 u'acf': [(u'1', [u'FUNDAMENTALS']), (u'2', [u'FOURIER'])],
 u'acfn': [(u'1', [u'FUNDAMENTALS']), (u'2', [u'FOURIER'])],
 u'acfnp': [(u'1', [u'FUNDAMENTALS']), (u'2', [u'FOURIER'])],
 u'acfnpl': [(u'1', [u'FUNDAMENTALS']), (u'2', [u'FOURIER'])],
 u'acfp': [(u'1', [u'FUNDAMENTALS']), (u'2', [u'FOURIER'])],
 u'acfpl': [(u'1', [u'FUNDAMENTALS']), (u'2', [u'FOURIER'])],
 u'add series': [(u'1', [u'UTILITIES'])],
 u'ali2d c': [(u'1', [u'APPLICATIONS']), (u'2', [u'FOURIER'])],
 u'ali2d cls mref': [(u'1', [u'APPLICATIONS'])],
 u'ali2d cm': [(u'1', [u'APPLICATIONS']), (u'2', [u'FOURIER'])],
 u'ali2d cross res': [(u'1', [u'APPLICATIONS'])],
 u'ali2d e': [(u'1', [u'APPLICATIONS']), (u'3', [u'GRIDDING'])],
 u'ali2d m': [(u'1', [u'APPLICATIONS']), (u'2', [u'FOURIER'])],
 u'ali2d mc ormq': [(u'1', [u'APPLICATIONS'])],
 u'ali2d r': [(u'1', [u'APPLICATIONS']), (u'2', [u'FOURIER'])],
 u'ali2d s': [(u'1', [u'APPLICATIONS'])],
 u'ali2d w': [(u'1', [u'APPLICATIONS'])],
 u'ali2d w mf': [(u'1', [u'APPLICATIONS'])],
 u'ali3d b': [(u'1', [u'APPLICATIONS']), (u'3', [u'GRIDDING'])],
 u'ali3d d': [(u'1', [u'APPLICATIONS']), (u'3', [u'GRIDDING'])],
 u'apply ali params': [(u'1', [u'UTILITIES'])],
 u'auto picking': [(u'1', [u'APPLICATIONS'])],
 u'aves w': [(u'1', [u'STATISTICS'])],
 u'ccc': [(u'1', [u'STATISTICS']), (u'2', [u'SPATIAL'])],
 u'ccf': [(u'1', [u'FUNDAMENTALS']), (u'2', [u'FOURIER'])],
 u'ccfn': [(u'1', [u'FUNDAMENTALS']), (u'2', [u'FOURIER'])],
 u'ccfnp': [(u'1', [u'FUNDAMENTALS']), (u'2', [u'FOURIER'])],
 u'ccfnpl': [(u'1', [u'FUNDAMENTALS']), (u'2', [u'FOURIER'])],
 u'ccfp': [(u'1', [u'FUNDAMENTALS']), (u'2', [u'FOURIER'])],
 u'ccfpl': [(u'1', [u'FUNDAMENTALS']), (u'2', [u'FOURIER'])],
 u'ce fit': [(u'1', [u'UTILITIES']), (u'2', [u'SPATIAL'])],
 u'check params': [(u'1', [u'UTILITIES'])],
 u'cnv': [(u'1', [u'FUNDAMENTALS']), (u'2', [u'FOURIER'])],
 u'cnvn': [(u'1', [u'FUNDAMENTALS']), (u'2', [u'FOURIER'])],
 u'cnvnp': [(u'1', [u'FUNDAMENTALS']), (u'2', [u'FOURIER'])],
 u'cnvnpl': [(u'1', [u'FUNDAMENTALS']), (u'2', [u'FOURIER'])],
 u'cnvp': [(u'1', [u'FUNDAMENTALS']), (u'2', [u'FOURIER'])],
 u'cnvpl': [(u'1', [u'FUNDAMENTALS']), (u'2', [u'FOURIER'])],
 u'cog': [(u'1', [u'FUNDAMENTALS']), (u'2', [u'SPATIAL'])],
 u'common line in3D': [(u'1', [u'UTILITIES']), (u'2', [u'SPATIAL'])],
 u'compose transform2': [(u'1', [u'UTILITIES']), (u'2', [u'SPATIAL'])],
 u'compose transform3': [(u'1', [u'UTILITIES']), (u'2', [u'SPATIAL'])],
 u'compress image mask': [(u'1', [u'UTILITIES']), (u'2', [u'SPATIAL'])],
 u'copy trans angles a': [(u'1', [u'UTILITIES'])],
 u'copy trans angles s': [(u'1', [u'UTILITIES'])],
 u'copyfromtif': [(u'1', [u'APPLICATIONS'])],
 u'ctf 1d': [(u'1', [u'UTILITIES'])],
 u'cyclic shift': [(u'1', [u'FUNDAMENTALS']), (u'2', [u'SPATIAL'])],
 u'decimate': [(u'1', [u'UTILITIES']), (u'2', [u'SPATIAL'])],
 u'defo get': [(u'1', [u'APPLICATIONS'])],
 u'defocus get': [(u'1', [u'UTILITIES'])],
 u'dele alist': [(u'1', [u'UTILITIES'])],
 u'dropImage': [(u'1', [u'UTILITIES'])],
 u'dropSpiderDoc': [(u'1', [u'UTILITIES'])],
 u'even angles': [(u'1', [u'UTILITIES'])],
 u'expn': [(u'1', [u'FUNDAMENTALS']), (u'2', [u'SPATIAL'])],
 u'fft': [(u'1', [u'TRANSFORMS']), (u'2', [u'FOURIER'])],
 u'fftip': [(u'1', [u'TRANSFORMS']), (u'2', [u'FOURIER'])],
 u'filt btwh': [(u'1', [u'FILTER']), (u'2', [u'FOURIER'])],
 u'filt btwl': [(u'1', [u'FILTER']), (u'2', [u'FOURIER'])],
 u'filt btwo': [(u'1', [u'FILTER']), (u'2', [u'FOURIER'])],
 u'filt ctf': [(u'1', [u'FILTER']), (u'2', [u'FOURIER'])],
 u'filt from fsc': [(u'1', [u'FILTER'])],
 u'filt from fsc bwt': [(u'1', [u'FILTER']), (u'2', [u'FOURIER'])],
 u'filt gaussb': [(u'1', [u'FILTER']), (u'2', [u'FOURIER'])],
 u'filt gaussh': [(u'1', [u'FILTER']), (u'2', [u'FOURIER'])],
 u'filt gaussinv': [(u'1', [u'FILTER']), (u'2', [u'FOURIER'])],
 u'filt gaussl': [(u'1', [u'FILTER']), (u'2', [u'FOURIER'])],
 u'filt gausso': [(u'1', [u'FILTER']), (u'2', [u'FOURIER'])],
 u'filt params': [(u'1', [u'FILTER'])],
 u'filt table': [(u'1', [u'FILTER']), (u'2', [u'FOURIER'])],
 u'filt tanb': [(u'1', [u'FILTER']), (u'2', [u'FOURIER'])],
 u'filt tanh': [(u'1', [u'FILTER']), (u'2', [u'FOURIER'])],
 u'filt tanl': [(u'1', [u'FILTER']), (u'2', [u'FOURIER'])],
 u'filt tano': [(u'1', [u'FILTER']), (u'2', [u'FOURIER'])],
 u'find 3d threshold': [(u'1', [u'FUNDAMENTALS'])],
 u'find inplane to match': [(u'1', [u'UTILITIES']), (u'2', [u'SPATIAL'])],
 u'flcc': [(u'1', [u'FUNDAMENTALS']), (u'2', [u'FOURIER'])],
 u'fpol': [(u'1', [u'FUNDAMENTALS']), (u'2', [u'FOURIER'])],
 u'fsc': [(u'1', [u'STATISTICS']), (u'2', [u'FOURIER'])],
 u'fshift': [(u'1', [u'FUNDAMENTALS']), (u'2', [u'FOURIER'])],
 u'get 1dpw table stack': [(u'1', [u'STATISTICS'])],
 u'get eigen images': [(u'1', [u'UTILITIES'])],
 u'get imf params': [(u'1', [u'UTILITIES'])],
 u'get inplane angle': [(u'1', [u'UTILITIES'])],
 u'get nsym': [(u'1', [u'UTILITIES']), (u'2', [u'SPATIAL'])],
 u'getImage': [(u'1', [u'UTILITIES'])],
 u'im diff': [(u'1', [u'UTILITIES'])],
 u'imf params cl1': [(u'1', [u'UTILITIES'])],
 u'info': [(u'1', [u'UTILITIES']), (u'2', [u'FOURIER', u'SPATIAL'])],
 u'inverse transform2': [(u'1', [u'UTILITIES']), (u'2', [u'SPATIAL'])],
 u'inverse transform3': [(u'1', [u'UTILITIES']), (u'2', [u'SPATIAL'])],
 u'iso kmeans': [(u'1', [u'APPLICATIONS'])],
 u'k means': [(u'1', [u'APPLICATIONS'])],
 u'kmeansobs': [(u'3', [u'OTHER'])],
 u'list syms': [(u'1', [u'UTILITIES'])],
 u'mirror': [(u'1', [u'FUNDAMENTALS']), (u'2', [u'SPATIAL'])],
 u'model blank': [(u'1', [u'UTILITIES']), (u'2', [u'SPATIAL'])],
 u'model circle': [(u'1', [u'UTILITIES']), (u'2', [u'SPATIAL'])],
 u'model gauss': [(u'1', [u'UTILITIES']), (u'2', [u'SPATIAL'])],
 u'model gauss noise': [(u'1', [u'UTILITIES']), (u'2', [u'SPATIAL'])],
 u'pad': [(u'1', [u'UTILITIES']), (u'2', [u'SPATIAL'])],
 u'peak search': [(u'1', [u'UTILITIES'])],
 u'periodogram': [(u'1', [u'FUNDAMENTALS']), (u'2', [u'FOURIER'])],
 u'phase cog': [(u'1', [u'FUNDAMENTALS']), (u'2', [u'SPATIAL'])],
 u'prep vol': [(u'1', [u'TRANSFORMS']), (u'2', [u'FOURIER'])],
 u'prepg': [(u'1', [u'FUNDAMENTALS']), (u'2', [u'FOURIER'])],
 u'prepi': [(u'1', [u'FUNDAMENTALS']), (u'2', [u'FOURIER'])],
 u'prg': [(u'1', [u'TRANSFORMS']), (u'2', [u'FOURIER'])],
 u'prgs': [(u'1', [u'TRANSFORMS']), (u'2', [u'FOURIER'])],
 u'print image': [(u'1', [u'UTILITIES']), (u'2', [u'SPATIAL'])],
 u'print image col': [(u'1', [u'UTILITIES']), (u'2', [u'SPATIAL'])],
 u'print image row': [(u'1', [u'UTILITIES']), (u'2', [u'SPATIAL'])],
 u'print image slice': [(u'1', [u'UTILITIES']), (u'2', [u'SPATIAL'])],
 u'printCol': [(u'1', [u'UTILITIES']), (u'2', [u'SPATIAL'])],
 u'printImage': [(u'1', [u'UTILITIES']), (u'2', [u'SPATIAL'])],
 u'printRow': [(u'1', [u'UTILITIES']), (u'2', [u'SPATIAL'])],
 u'printSlice': [(u'1', [u'UTILITIES']), (u'2', [u'SPATIAL'])],
 u'prj': [(u'1', [u'TRANSFORMS']), (u'2', [u'FOURIER'])],
 u'project': [(u'1', [u'TRANSFORMS']), (u'2', [u'SPATIAL'])],
 u'pufit': [(u'1', [u'APPLICATIONS']), (u'2', [u'NONLINEAR', u'ADAPTIVE'])],
 u'pw extract': [(u'1', [u'UTILITIES']), (u'2', [u'ADAPTIVE'])],
 u'ramp': [(u'1', [u'FUNDAMENTALS']), (u'2', [u'SPATIAL'])],
 u'randperm': [(u'1', [u'UTILITIES'])],
 u'read txt col': [(u'1', [u'UTILITIES'])],
 u'readSpiderDoc': [(u'1', [u'UTILITIES'])],
 u'recons3d 4nn': [(u'1', [u'INVERSION']), (u'2', [u'FOURIER'])],
 u'recons3d 4nn ctf': [(u'1', [u'INVERSION']), (u'2', [u'FOURIER'])],
 u'recons3d sirt': [(u'1', [u'INVERSION']), (u'2', [u'SPATIAL'])],
 u'recons3d wbp': [(u'1', [u'INVERSION']), (u'2', [u'FOURIER'])],
 u'reconstitute image mask': [(u'1', [u'UTILITIES']), (u'2', [u'SPATIAL'])],
 u'reset params': [(u'1', [u'UTILITIES'])],
 u'ro': [(u'1', [u'FUNDAMENTALS']), (u'2', [u'SPATIAL'])],
 u'ro textfile': [(u'1', [u'FUNDAMENTALS']), (u'2', [u'SPATIAL'])],
 u'rops': [(u'1', [u'FUNDAMENTALS']), (u'2', [u'SPATIAL', u'FOURIER'])],
 u'rops textfile': [(u'1', [u'FUNDAMENTALS']),
                    (u'2', [u'SPATIAL', u'FOURIER'])],
 u'rot 3D add': [(u'1', [u'APPLICATIONS'])],
 u'rot shift': [(u'1', [u'FUNDAMENTALS']), (u'2', [u'SPATIAL'])],
 u'rot shift2D': [(u'1', [u'FUNDAMENTALS']), (u'2', [u'SPATIAL'])],
 u'rot shift3D': [(u'1', [u'FUNDAMENTALS']), (u'2', [u'SPATIAL'])],
 u'rot sym': [(u'1', [u'APPLICATIONS'])],
 u'rotate about center': [(u'1', [u'UTILITIES']), (u'2', [u'SPATIAL'])],
 u'rotshift2dg': [(u'1', [u'FUNDAMENTALS']), (u'2', [u'SPATIAL'])],
 u'rsconvolution': [(u'1', [u'FILTER']), (u'2', [u'SPATIAL'])],
 u'rtshg': [(u'1', [u'FUNDAMENTALS']), (u'2', [u'SPATIAL'])],
 u'rtshgkb': [(u'1', [u'FUNDAMENTALS']), (u'2', [u'SPATIAL'])],
 u'sample3D': [(u'1', [u'UTILITIES'])],
 u'save params': [(u'1', [u'UTILITIES'])],
 u'scf': [(u'1', [u'FUNDAMENTALS']), (u'2', [u'FOURIER'])],
 u'scfn': [(u'1', [u'FUNDAMENTALS']), (u'2', [u'FOURIER'])],
 u'scfnp': [(u'1', [u'FUNDAMENTALS']), (u'2', [u'FOURIER'])],
 u'scfnpl': [(u'1', [u'FUNDAMENTALS']), (u'2', [u'FOURIER'])],
 u'scfp': [(u'1', [u'FUNDAMENTALS']), (u'2', [u'FOURIER'])],
 u'scfpl': [(u'1', [u'FUNDAMENTALS']), (u'2', [u'FOURIER'])],
 u'set arb params': [(u'1', [u'UTILITIES'])],
 u'sideprojectionmatch': [(u'1', [u'UTILITIES'])],
 u'sidewinder': [(u'1', [u'UTILITIES'])],
 u'smallprime': [(u'1', [u'UTILITIES'])],
 u'splitstack': [(u'1', [u'UTILITIES'])],
 u'sym vol': [(u'1', [u'UTILITIES']), (u'2', [u'SPATIAL'])],
 u'transform2d': [(u'1', [u'APPLICATIONS']), (u'3', [u'GRIDDING'])],
 u'transformClass': [(u'1', [u'FUNDAMENTALS'])],
 u'twoDTestFunc': [(u'1', [u'UTILITIES']), (u'2', [u'SPATIAL'])],
 u'update attrt': [(u'1', [u'UTILITIES'])],
 u'vrdg': [(u'1', [u'UTILITIES'])],
 u'welch psp': [(u'1', [u'APPLICATIONS'])],
 u'welch psp tilt': [(u'1', [u'APPLICATIONS'])],
 u'window': [(u'1', [u'FUNDAMENTALS']), (u'2', [u'SPATIAL'])]} 
toc_1 = {(u'1', u'APPLICATIONS'): [u'ali2d c',
                           u'ali2d cls mref',
                           u'ali2d cm',
                           u'ali2d cross res',
                           u'ali2d e',
                           u'ali2d m',
                           u'ali2d mc ormq',
                           u'ali2d r',
                           u'ali2d s',
                           u'ali2d w',
                           u'ali2d w mf',
                           u'ali3d b',
                           u'ali3d d',
                           u'auto picking',
                           u'copyfromtif',
                           u'defo get',
                           u'iso kmeans',
                           u'k means',
                           u'pufit',
                           u'rot 3D add',
                           u'rot sym',
                           u'transform2d',
                           u'welch psp',
                           u'welch psp tilt'],
 (u'1', u'FILTER'): [u'filt btwh',
                     u'filt btwl',
                     u'filt btwo',
                     u'filt ctf',
                     u'filt from fsc',
                     u'filt from fsc bwt',
                     u'filt gaussb',
                     u'filt gaussh',
                     u'filt gaussinv',
                     u'filt gaussl',
                     u'filt gausso',
                     u'filt params',
                     u'filt table',
                     u'filt tanb',
                     u'filt tanh',
                     u'filt tanl',
                     u'filt tano',
                     u'rsconvolution'],
 (u'1', u'FUNDAMENTALS'): [u'acf',
                           u'acfn',
                           u'acfnp',
                           u'acfnpl',
                           u'acfp',
                           u'acfpl',
                           u'ccf',
                           u'ccfn',
                           u'ccfnp',
                           u'ccfnpl',
                           u'ccfp',
                           u'ccfpl',
                           u'cnv',
                           u'cnvn',
                           u'cnvnp',
                           u'cnvnpl',
                           u'cnvp',
                           u'cnvpl',
                           u'cog',
                           u'cyclic shift',
                           u'expn',
                           u'find 3d threshold',
                           u'flcc',
                           u'fpol',
                           u'fshift',
                           u'mirror',
                           u'periodogram',
                           u'phase cog',
                           u'prepg',
                           u'prepi',
                           u'ramp',
                           u'ro',
                           u'ro textfile',
                           u'rops',
                           u'rops textfile',
                           u'rot shift',
                           u'rot shift2D',
                           u'rot shift3D',
                           u'rotshift2dg',
                           u'rtshg',
                           u'rtshgkb',
                           u'scf',
                           u'scfn',
                           u'scfnp',
                           u'scfnpl',
                           u'scfp',
                           u'scfpl',
                           u'transformClass',
                           u'window'],
 (u'1', u'INVERSION'): [u'recons3d 4nn',
                        u'recons3d 4nn ctf',
                        u'recons3d sirt',
                        u'recons3d wbp'],
 (u'1', u'STATISTICS'): [u'aves w', u'ccc', u'fsc', u'get 1dpw table stack'],
 (u'1', u'TRANSFORMS'): [u'fft',
                         u'fftip',
                         u'prep vol',
                         u'prg',
                         u'prgs',
                         u'prj',
                         u'project'],
 (u'1', u'UTILITIES'): [u'Damerau Levenshtein Distance',
                        u'SymString',
                        u'add series',
                        u'apply ali params',
                        u'ce fit',
                        u'check params',
                        u'common line in3D',
                        u'compose transform2',
                        u'compose transform3',
                        u'compress image mask',
                        u'copy trans angles a',
                        u'copy trans angles s',
                        u'ctf 1d',
                        u'decimate',
                        u'defocus get',
                        u'dele alist',
                        u'dropImage',
                        u'dropSpiderDoc',
                        u'even angles',
                        u'find inplane to match',
                        u'get eigen images',
                        u'get imf params',
                        u'get inplane angle',
                        u'get nsym',
                        u'getImage',
                        u'im diff',
                        u'imf params cl1',
                        u'info',
                        u'inverse transform2',
                        u'inverse transform3',
                        u'list syms',
                        u'model blank',
                        u'model circle',
                        u'model gauss',
                        u'model gauss noise',
                        u'pad',
                        u'peak search',
                        u'print image',
                        u'print image col',
                        u'print image row',
                        u'print image slice',
                        u'printCol',
                        u'printImage',
                        u'printRow',
                        u'printSlice',
                        u'pw extract',
                        u'randperm',
                        u'read txt col',
                        u'readSpiderDoc',
                        u'reconstitute image mask',
                        u'reset params',
                        u'rotate about center',
                        u'sample3D',
                        u'save params',
                        u'set arb params',
                        u'sideprojectionmatch',
                        u'sidewinder',
                        u'smallprime',
                        u'splitstack',
                        u'sym vol',
                        u'twoDTestFunc',
                        u'update attrt',
                        u'vrdg'],
 (u'2', u'ADAPTIVE'): [u'pufit', u'pw extract'],
 (u'2', u'FOURIER'): [u'acf',
                      u'acfn',
                      u'acfnp',
                      u'acfnpl',
                      u'acfp',
                      u'acfpl',
                      u'ali2d c',
                      u'ali2d cm',
                      u'ali2d m',
                      u'ali2d r',
                      u'ccf',
                      u'ccfn',
                      u'ccfnp',
                      u'ccfnpl',
                      u'ccfp',
                      u'ccfpl',
                      u'cnv',
                      u'cnvn',
                      u'cnvnp',
                      u'cnvnpl',
                      u'cnvp',
                      u'cnvpl',
                      u'fft',
                      u'fftip',
                      u'filt btwh',
                      u'filt btwl',
                      u'filt btwo',
                      u'filt ctf',
                      u'filt from fsc bwt',
                      u'filt gaussb',
                      u'filt gaussh',
                      u'filt gaussinv',
                      u'filt gaussl',
                      u'filt gausso',
                      u'filt table',
                      u'filt tanb',
                      u'filt tanh',
                      u'filt tanl',
                      u'filt tano',
                      u'flcc',
                      u'fpol',
                      u'fsc',
                      u'fshift',
                      u'info',
                      u'periodogram',
                      u'prep vol',
                      u'prepg',
                      u'prepi',
                      u'prg',
                      u'prgs',
                      u'prj',
                      u'recons3d 4nn',
                      u'recons3d 4nn ctf',
                      u'recons3d wbp',
                      u'rops',
                      u'rops textfile',
                      u'scf',
                      u'scfn',
                      u'scfnp',
                      u'scfnpl',
                      u'scfp',
                      u'scfpl'],
 (u'2', u'NONLINEAR'): [u'pufit'],
 (u'2', u'SPATIAL'): [u'SymString',
                      u'ccc',
                      u'ce fit',
                      u'cog',
                      u'common line in3D',
                      u'compose transform2',
                      u'compose transform3',
                      u'compress image mask',
                      u'cyclic shift',
                      u'decimate',
                      u'expn',
                      u'find inplane to match',
                      u'get nsym',
                      u'info',
                      u'inverse transform2',
                      u'inverse transform3',
                      u'mirror',
                      u'model blank',
                      u'model circle',
                      u'model gauss',
                      u'model gauss noise',
                      u'pad',
                      u'phase cog',
                      u'print image',
                      u'print image col',
                      u'print image row',
                      u'print image slice',
                      u'printCol',
                      u'printImage',
                      u'printRow',
                      u'printSlice',
                      u'project',
                      u'ramp',
                      u'recons3d sirt',
                      u'reconstitute image mask',
                      u'ro',
                      u'ro textfile',
                      u'rops',
                      u'rops textfile',
                      u'rot shift',
                      u'rot shift2D',
                      u'rot shift3D',
                      u'rotate about center',
                      u'rotshift2dg',
                      u'rsconvolution',
                      u'rtshg',
                      u'rtshgkb',
                      u'sym vol',
                      u'twoDTestFunc',
                      u'window'],
 (u'3', u'GRIDDING'): [u'ali3d d', u'ali3d b', u'transform2d', u'ali2d e'],
 (u'3', u'OTHER'): [u'kmeansobs']}

